## ros-r2b2-tf2-geometry-msgs 0.5.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_geometry_msgs)

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -Wextra")
endif()

find_package(ament_cmake_auto REQUIRED)
set(required_dependencies
  "geometry_msgs"
  "orocos_kdl"
  "tf2"
  "tf2_ros"
)
ament_auto_find_build_dependencies(REQUIRED ${required_dependencies})

include_directories(include
   ${orocos_kdl_INCLUDE_DIRS}
   ${tf2_INCLUDE_DIRS}
   ${tf2_ros_INCLUDE_DIRS}
   ${geometry_msgs_INCLUDE_DIRS}
)

link_directories(${orocos_kdl_LIBRARY_DIRS})


# TODO(dhood): enable python support once ported to ROS 2
# catkin_python_setup()

# TODO(dhood): enable tests once ported to ROS 2
# if(CATKIN_ENABLE_TESTING)
#
# find_package(catkin REQUIRED COMPONENTS geometry_msgs rostest tf2_ros tf2)
#
# add_executable(test_geometry_msgs EXCLUDE_FROM_ALL test/test_tf2_geometry_msgs.cpp)
# target_link_libraries(test_geometry_msgs ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES})
# add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)
# add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_python.launch)
#
#
# if(TARGET tests)
#   add_dependencies(tests test_geometry_msgs)
# endif()
#
#
# endif()
ament_auto_package()

=== debian/changelog ===
ros-r2b2-tf2-geometry-msgs (0.5.15-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.14-6xenial) xenial; urgency=high

  * Add doxygen documentation for tf2_geometry_msgs
  * Contributors: Jackie Kay

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.13-6xenial) xenial; urgency=high

  * Add missing python_orocos_kdl dependency
  * make example into unit test
  * vector3 not affected by translation
  * Contributors: Daniel Claes, chapulina

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.12-6xenial) xenial; urgency=high

  * Merge pull request #112 <https://github.com/ros/geometry_experimental/issues/112> from vrabaud/getYaw
    Get yaw
  * add toMsg and fromMsg for QuaternionStamped
  * Contributors: Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.11-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.10-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.9-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.8-6xenial) xenial; urgency=high

  * remove useless Makefile files
  * tf2 optimizations
  * add conversions of type between tf2 and geometry_msgs
  * fix ODR violations
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.7-6xenial) xenial; urgency=high

  * fixing transitive dependency for kdl. Fixes #53 <https://github.com/ros/geometry_experimental/issues/53>
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.6-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Sep 2014 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.5-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jun 2014 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.4-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.3-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Feb 2014 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.2-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 20 Feb 2014 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.1-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.5.0-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.10-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Dec 2013 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.9-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.8-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.7-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.6-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.5-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 11 Jul 2013 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.4-6xenial) xenial; urgency=high

  * making repo use CATKIN_ENABLE_TESTING correctly and switching rostest to be a test_depend with that change.

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.3-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.2-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.1-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.4.0-6xenial) xenial; urgency=high

  * moving convert methods back into tf2 because it does not have any ros dependencies beyond ros::Time which is already a dependency of tf2
  * Cleaning up unnecessary dependency on roscpp
  * converting contents of tf2_ros to be properly namespaced in the tf2_ros namespace
  * Cleaning up packaging of tf2 including:
    removing unused nodehandle
    cleaning up a few dependencies and linking
    removing old backup of package.xml
    making diff minimally different from tf version of library
  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Jun 2013 04:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.3.6-6xenial) xenial; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 03 Mar 2013 05:00:00 -0000

ros-r2b2-tf2-geometry-msgs (0.3.5-6xenial) xenial; urgency=high

  * 0.3.4 -> 0.3.5

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 19:46:00 -0000

ros-r2b2-tf2-geometry-msgs (0.3.4-6xenial) xenial; urgency=high

  * 0.3.3 -> 0.3.4



=== debian/control ===
Source: ros-r2b2-tf2-geometry-msgs
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-r2b2-ament-cmake-auto, ros-r2b2-ament-cmake-gtest, ros-r2b2-geometry-msgs, ros-r2b2-orocos-kdl, ros-r2b2-tf2, ros-r2b2-tf2-ros, ros-r2b2-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-r2b2-tf2-geometry-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-r2b2-geometry-msgs, ros-r2b2-orocos-kdl, ros-r2b2-tf2, ros-r2b2-tf2-ros, ros-r2b2-ros-workspace
Description: tf2_geometry_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/r2b2/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Build type specific exports if any.

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/r2b2" -DAMENT_PREFIX_PATH="/opt/ros/r2b2"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-r2b2-tf2-geometry-msgs//opt/ros/r2b2/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_install
